/**@file

// fwConstantDeclarationsfwDIPSystemIntegrity.ctl
This library contains the definition of the constants for the front-end type fwDIPSystemIntegrity.

@par Creation Date
  26/11/2012

@par Modification History
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@author 
  EN/ICE/SIC(EN-ICE)
*/
//@{

// constants for the check/import of the FrontEndType
const string FWDIP_DPTYPE = "_FwDipConfig";
const string FWDIPDPE_DPTYPE = "fwDIPSystemIntegrity_data";

// constant for fwDIPSystemIntegrity system integrity

const string UN_SYSTEM_INTEGRITY_FWDIPSYSTEMINTEGRITY = "fwDIPSystemIntegrity";
const string UN_SYSTEM_INTEGRITY_FWDIPSYSTEMINTEGRITY_check = "fwDIPSystemIntegrityCheck";
const int c_fwSystemIntegrity_defaultFWDIPSYSTEMINTEGRITYCheckingDelay = 30; // default value for the checking in sec.
const int c_fwSystemIntegrity_defaultFWDIPSYSTEMINTEGRITYWaitDelay = 1; // default value for the wait in sec.
const string c_fwSystemIntegrity_defaultFWDIPSYSTEMINTEGRITYHERACHY = ""; // default DIP hierachy.
const string DIP_pattern = "DIP_";


//@}
